package com.mdd.admin.validate.config;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("系统配置创建参数")
public class UserConfigCreateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("用户ID")
   private @NotNull(
   message = "userId参数缺失"
) Integer userId;
   @ApiModelProperty("服务器模板ID")
   private @NotNull(
   message = "templateId参数缺失"
) Integer templateId;
   @ApiModelProperty("值")
   private @NotNull(
   message = "value参数缺失"
) String value;

   public @NotNull(
   message = "userId参数缺失"
) Integer getUserId() {
      return this.userId;
   }

   public @NotNull(
   message = "templateId参数缺失"
) Integer getTemplateId() {
      return this.templateId;
   }

   public @NotNull(
   message = "value参数缺失"
) String getValue() {
      return this.value;
   }

   public void setUserId(@NotNull(
   message = "userId参数缺失"
) Integer userId) {
      this.userId = userId;
   }

   public void setTemplateId(@NotNull(
   message = "templateId参数缺失"
) Integer templateId) {
      this.templateId = templateId;
   }

   public void setValue(@NotNull(
   message = "value参数缺失"
) String value) {
      this.value = value;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof UserConfigCreateValidate)) {
         return false;
      } else {
         UserConfigCreateValidate other = (UserConfigCreateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label47: {
               Object this$userId = this.getUserId();
               Object other$userId = other.getUserId();
               if (this$userId == null) {
                  if (other$userId == null) {
                     break label47;
                  }
               } else if (this$userId.equals(other$userId)) {
                  break label47;
               }

               return false;
            }

            Object this$templateId = this.getTemplateId();
            Object other$templateId = other.getTemplateId();
            if (this$templateId == null) {
               if (other$templateId != null) {
                  return false;
               }
            } else if (!this$templateId.equals(other$templateId)) {
               return false;
            }

            Object this$value = this.getValue();
            Object other$value = other.getValue();
            if (this$value == null) {
               if (other$value != null) {
                  return false;
               }
            } else if (!this$value.equals(other$value)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof UserConfigCreateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $userId = this.getUserId();
      result = result * 59 + ($userId == null ? 43 : $userId.hashCode());
      Object $templateId = this.getTemplateId();
      result = result * 59 + ($templateId == null ? 43 : $templateId.hashCode());
      Object $value = this.getValue();
      result = result * 59 + ($value == null ? 43 : $value.hashCode());
      return result;
   }

   public String toString() {
      return "UserConfigCreateValidate(userId=" + this.getUserId() + ", templateId=" + this.getTemplateId() + ", value=" + this.getValue() + ")";
   }
}
